%define	name		wv
%define	version	0.5.43
%define	release	1
%define prefix /usr
Summary: A Microsoft(TM) Word 8 binary to HTML format converter.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group: Applications/Publishing
URL:		http://www.wvWare.com/
Source:	http://www.csn.ul.ie/~caolan/publink/mswordview/development/%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-root
Obsoletes: mswordview

%description
WV converts Office97 Microsoft(TM) Word version 8 binary files
to HTML, which can then be viewed with a Web browser.

%prep
%setup -q -n %{name}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/include
make prefix=$RPM_BUILD_ROOT%{prefix} install
rm -f wvText

(cd $RPM_BUILD_ROOT%{prefix}/bin;
ln -sf wvConvert wvText
)

strip $RPM_BUILD_ROOT%{prefix}/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABIWORD-SUGGESTIONS CHANGELOG COPYING CREDITS D_CREDITS D_README 
%doc KNOWN-BUGS README TESTING TODO.TXT Documentation/XML_Tags
%{prefix}/bin/*
%{prefix}/lib/wv
%{prefix}/lib/libwv.a
%{prefix}/man/*/*
%{prefix}/include/wv.h

%changelog
* Mon Jan 10 2000 Tim Powers <timp@redhat.com>
- upodated to 0.5.43
- removed gzipping man pages so that build system can handle it properly
- using the percent configure stuff
- strip binaries
- fixed dangling symlink

* Thu Nov 18 1999 Tim Powers <timp@redhat.com>
- new name, no longer mswordview, just wv
- updated to 0.5.41
- updated URLs
- gzip man page
- obsoletes mswordview

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- version 0.5.14
- built for 6.1

* Wed May 12 1999 Cristian Gafton <gafton@redhat.com>
- version 0.5.11
- updated decription text

* Mon Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
